curl --request GET \
--url https://api.dfns.io/wallets/{walletId}/transactions \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "tx-583hu-sp2p7-slvb9nqpa3hd8bus",
"walletId": "wa-5pfuu-9euek-h0odgb6snva8ph3k",
"network": "Algorand",
"requester": {
"userId": "us-6b58p-r53sr-rlrd3l5cj3uc4ome",
"tokenId": "to-202a0-cdo33-o65mbt6q758lvvnt"
},
"requestBody": {
"kind": "Transaction",
"transaction": "<string>",
"externalId": "<string>"
},
"status": "Pending",
"dateRequested": "2023-04-14T20:41:28.715Z",
"reason": "<string>",
"txHash": "<string>",
"fee": "<string>",
"approvalId": "ap-2a9in-tt2a1-983lho480p35ejd0",
"datePolicyResolved": "2023-04-14T20:41:28.715Z",
"dateBroadcasted": "2023-04-14T20:41:28.715Z",
"dateConfirmed": "2023-04-14T20:41:28.715Z",
"externalId": "<string>"
}
],
"walletId": "wa-5pfuu-9euek-h0odgb6snva8ph3k",
"nextPageToken": "<string>"
}Retrieves a list of transactions requests for the specified wallet.
curl --request GET \
--url https://api.dfns.io/wallets/{walletId}/transactions \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "tx-583hu-sp2p7-slvb9nqpa3hd8bus",
"walletId": "wa-5pfuu-9euek-h0odgb6snva8ph3k",
"network": "Algorand",
"requester": {
"userId": "us-6b58p-r53sr-rlrd3l5cj3uc4ome",
"tokenId": "to-202a0-cdo33-o65mbt6q758lvvnt"
},
"requestBody": {
"kind": "Transaction",
"transaction": "<string>",
"externalId": "<string>"
},
"status": "Pending",
"dateRequested": "2023-04-14T20:41:28.715Z",
"reason": "<string>",
"txHash": "<string>",
"fee": "<string>",
"approvalId": "ap-2a9in-tt2a1-983lho480p35ejd0",
"datePolicyResolved": "2023-04-14T20:41:28.715Z",
"dateBroadcasted": "2023-04-14T20:41:28.715Z",
"dateConfirmed": "2023-04-14T20:41:28.715Z",
"externalId": "<string>"
}
],
"walletId": "wa-5pfuu-9euek-h0odgb6snva8ph3k",
"nextPageToken": "<string>"
}CustomerEmployee)EndUser)Wallets:Transactions:Read: Always required.Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
Wallet id.
1 - 64Maximum number of items to return.
1 <= x <= 500Opaque token used to retrieve the next page. Returned as nextPageToken from the previous request.
1Success
Was this page helpful?